MCP Gateway
ApiAuth settings

Create OAuth provider

Create a new OAuth provider configuration with encrypted client secret. The secret is never returned in API responses. Requires admin or owner role.

POST
/api/v1/settings/auth/providers

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/settings/auth/providers" \  -H "Content-Type: application/json" \  -d '{    "provider_type": "github",    "display_name": "string",    "client_id": "string",    "client_secret": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "provider_type": "string",
  "display_name": "string",
  "client_id": "string",
  "is_enabled": true,
  "display_order": 0,
  "config": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}